Download it now!
Bug 71192 - White bar at the bottom of "Options - LibreOfficeDev - Appearance"
Summary: White bar at the bottom of "Options - LibreOfficeDev - Appearance"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.3.0 target:4.2.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-03 17:13 UTC by Thomas Hackert
Modified: 2013-12-13 10:13 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of this Options dialog on Debian Testing AMD64 (127.41 KB, image/png)
2013-11-03 17:13 UTC, Thomas Hackert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Hackert 2013-11-03 17:13:37 UTC
Created attachment 88566 [details]
Screenshot of this Options dialog on Debian Testing AMD64

Hello @ll,
I hope, Ihave chosen the right component. If not, feel free to change it adequate ... ;)

When I open the above mentioned Options window, I see a white "bar" at the bottom of this window on the right after scrolling to the bottom ... :(

Steps to reproduce:
1. Open "Tools – Options – LibreOfficeDev – Appearance"
2. Scoll dowm on the right side up to the bottom.
You should see this white bar there ... :(

If I look at my installed LO Version: 4.1.2.3 Build ID: 40b2d7fde7e8d2d7bc5a449dc65df4d08a7dd38 with installed Germanophone lang- as well as helppack under Debian Testing AMD64, the background of this window is white. Though you see only more space then needed at the bottom of the window, I find it not that disturbing than with my parallel installed LO Version: 4.2.0.0.alpha0+ Build ID: aeb29afa11b7be87153f048044a2d4af9a87b50c
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2013-10-29_20:58:33. There – for whatever reason – the background above is grey, so this white "bar" is visible in comparison to the former mentioned version ... :( I will attach a screenshot of it, so you will be able to see it.

Sorry for the inconvenience and have a nice evening
Thomas.
Comment 1 V Stuart Foote 2013-11-03 17:37:48 UTC
Confirming but adjusting platform to all, affects Windows builds as well as Linux.

Version: 4.2.0.0.alpha0+
Build ID: 2ee41f402fdea5bed8076295ae3e94c79f92bd64
TinderBox: Win-x86@42, Branch:master, Time: 2013-10-31_22:48:52

and on earlier 4.1.2.3 release, where it is not as stark but is still present as an excess spacer on the custom colors panel.

Version: 4.1.2.3
Build ID: 40b2d7fde7e8d2d7bc5a449dc65df4d08a7dd38

Will check on a OS X build of 4.1.4 tomorrow.
Comment 2 Julien Nabet 2013-12-07 00:24:32 UTC
On pc Debian x86-64 with master sources updated today, I can reproduce this.

I wonder if this could be in http://opengrok.libreoffice.org/xref/core/cui/uiconfig/ui/optappearancepage.ui

Caolán: one for you?
Comment 3 Caolán McNamara 2013-12-13 10:05:01 UTC
it should all have a white background
Comment 4 Commit Notification 2013-12-13 10:06:14 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e3853a1abc9873a00478ba56b124e0a94f9896ba

Resolves: fdo#71192 options->appearence isn't all the same color



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-12-13 10:07:34 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6ec1253285ec39b31b82ba7bc7a2b0bd0f98ef7a&h=libreoffice-4-2

Resolves: fdo#71192 options->appearence isn't all the same color


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.